[API] Upload file (Multipart/Form-Data)
Creates a file in the Storage. The maximum file size that you can upload via API is 10 MB.
POST storage/{file-path}?format={file-encode-format}&isOverwrite={is-overwrite}
Authentication
This request requires basic authentication .
Request Parameters
Path params
file-path
string
File or folder path relative to the root, i.e., everything after ...resources/Storage/ .
Query params
format
string
File encoding. Only multipart is supported.
isOverwrite
bool
[optional ] Whether to overwrite an existing file. false by default.
Body params
file
binary
The file to upload.
Samples
Request sample
curl --location -g --request POST 'https://{portal-url}/api/v1/storage/manual.docx?format=multipart&isOverwrite=true' \
--form 'file=@"path/to/local/manual.docx"'
Response body sample
{
"content" : null ,
"fileFullName" : "Storage\\manual.docx" ,
"fileName" : "manual.docx" ,
"isFolder" : false ,
"modifiedBy" : "admin" ,
"modifiedOn" : "2025-10-29T13:21:28" ,
"size" : 99849
}
Response fields
content
Always null for file uploads.
fileFullName
Path to the file in Storage.
fileName
Name of the file.
isFolder
Indicates if the object is a folder (false for files).
modifiedBy
User who uploaded the file.
modifiedOn
Timestamp of the last modification (ISO 8601 format).
size
File size in bytes.
Back
to top